coupang
GET/v2/providers/openapi/apis/api/v5/vendors/callCenterInquiries/{inquiryId}2609170000

Query of Coupang Contact Center Single Inquiry

# 01

Summary

Query of Coupang Contact Center Single Inquiry

# 02

Path parameters

NameTypeDescription
inquiryId*number
Consultation number
Question ID
# 03

Response body

Response message

NameTypeDescription
codenumber
Server response code
messagestring
Server response message
dataobject
Result
inquiryId
data.inquiryId
number
Consultation number
Question ID
inquiryStatus
data.inquiryStatus
string
Inquiry status
Progress or complete
csPartnerCounselingStatus
data.csPartnerCounselingStatus
string
Answer status
requestAnswer or answered
vendorItemId
data.vendorItemId
number
Option ID
itemName
data.itemName
string
Item name
content
data.content
string
Content of inquiry
Content of question
answeredAt
data.answeredAt
string
Answered date (Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
replies
data.replies
object[]
List of reply
answerId
data.replies[].answerId
number
Answer ID
parentAnswerId
data.replies[].parentAnswerId
string
ID of the inquiry transferred to the parent
partnerTransferStatus
data.replies[].partnerTransferStatus
string
Seller transfer status;
none (not applicable) or requestAnswer (answer requested) or answered (answered)
partnerTransferCompleteReason
data.replies[].partnerTransferCompleteReason
string
Reason for processing the inquiry transferred to the seller
CODE NAME
NONE None
DISPUTE_PROCESS Discretionary processing
DISPUTE_PROCESS_COMPLETE Seller confirmed
CANCEL Transfer cancelled
answerType
data.replies[].answerType
string
Type of the person who answered
csAgent (CS agent) or vendor (seller)
needAnswer
data.replies[].needAnswer
boolean
Whether an answer is required or not;
True or false
receptionistName
data.replies[].receptionistName
string
Agent name
receptionist
data.replies[].receptionist
string
Agent
replyAt
data.replies[].replyAt
string
Replied date (Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
content
data.replies[].content
string
Content of the answer
inquiryAt
data.inquiryAt
string
Inquiry date (Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
buyerEmail
data.buyerEmail
string
non-use/empty value("")
buyerPhone
data.buyerPhone
string
Customer phone number
orderId
data.orderId
integer
Order number
Example: 1900000*******
orderDate
data.orderDate
string
Order time/date (Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
receiptCategory
data.receiptCategory
string
Inquiry type
saleStartedAt
data.saleStartedAt
string
Sales start time/date
saleEndedAt
data.saleEndedAt
string
Sales end time/date

Response Example

{
 "code": 200,
 "message": "OK",
 "data": {
 "inquiryId": 258799946,
 "csPartnerCounselingStatus": "requestAnswer",
 "inquiryStatus": "progress",
 "vendorItemId": [
 75235680736
 ],
 "itemName": "제주 삼다수, 2L, 6개",
 "content": "상담이력",
 "answeredAt": "2025-01-15T14:17:13.973885-08:00",
 "replies": [
 {
 "receptionistName": "OO스토아",
 "receptionist": "cssp-hyjang15",
 "replyAt": "2025-01-15T14:17:13.973885-08:00",
 "content": "**\n\n\n※ 영업시간 기준 24시간 경과시, 자동으로 '24시간 미답변'에 대한 메세지가 노출될 예정입니다.\n\n안녕하세요 판매자님.\n반품/교환 관련해서 아래와 같이 변심 반품을 요청드리니 회신 부탁드립니다.\n\n[상담사 필수 기재 항목]\n1. 사용/조립 여부 : N\n2. 받은 그대로 재포장 가능여부 : Y\n3. 최종요청사항 : 주소오기재로 환불요청\n\n[판매자님 회신요청]\n1. 요청사항 이행 가능여부:\n2. 불가시 불가능한 사유 :\n3. 처리가능시, 회수여부 :",
 "answerId": 21128942421017,
 "parentAnswerId": null,
 "partnerTransferStatus": "requestAnswer",
 "partnerTransferCompleteReason": "NONE",
 "answerType": "csAgent",
 "needAnswer": true
 }
 ],
 "inquiryAt": "2025-01-15T14:17:13.973885-08:00",
 "buyerEmail": "",
 "buyerPhone": "+1(555)444-1234",
 "orderId": 1900000******7,
 "orderDate": "2025-01-15T14:17:13.973885-08:00",
 "receiptCategory": "배송>배송>배송",
 "saleStartedAt": "2023-07-24",
 "saleEndedAt": "2099-12-29"
 }
}
# 04

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

Invalid format inquiryId : xxxxxx

Make sure that the inquiryId is correct.

404404 (Check Request Parameter)

Inquiry not found

Make sure that the inquiryId is correct.

404404 (Check Request Parameter)

Vendor id should be same with the vendor id in this inquiry

Make sure that the inquiryId is correct.